Summary:	Utilities for mounting and managing CIFS mounts
Summary(pl.UTF-8):	Narzędzia do montowania i zarządzania montowaniami CIFS
Name:		cifs-utils
Version:	7.0
Release:	2%{?tld}
License:	GPL v3+
Group:		Daemons
Source0:	https://ftp.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2
# Source0-md5:	518431bf43f23e6aacd97e80e2060df7
Patch0:		%{name}-heimdal.patch
Patch1:		python3.patch
URL:		https://wiki.samba.org/index.php/LinuxCIFS_utils
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	docutils
BuildRequires:	heimdal-devel >= 1.5.1-3
BuildRequires:	keyutils-devel
BuildRequires:	libcap-ng-devel
BuildRequires:	libsmbclient-devel >= 1:4
BuildRequires:	libtalloc-devel
BuildRequires:	pam-devel
Requires:	keyutils
Obsoletes:	mount-cifs
Conflicts:	samba-client < 1:3.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SMB/CIFS protocol is a standard file sharing protocol widely
deployed on Microsoft Windows machines. This package contains tools
for mounting shares on Linux using the SMB/CIFS protocol. The tools in
this package work in conjunction with support in the kernel to allow
one to mount a SMB/CIFS share onto a client and use it as if it were a
standard Linux file system.

%description -l pl.UTF-8
Protokół SMB/CIFS to standardowy protokół współdzielenia plików
szeroko wykorzystywany na komputerach z systemem Microsoft Windows.
Ten pakiet zawiera narzędzia do montowania pod Linuksem udziałów
udostępnionych poprzez protokół SMB/CIFS. Narzędzia z tego pakietu
współpracując z obsługą w jądrze pozwalają na montowanie udziałów
SMB/CIFS na systemie klienckim tak, jakby był to standardowy
linuksowy system plików.

%package devel
Summary:	Header file for cifs-utils ID Mapping Plugin interface
Summary(pl.UTF-8):	Plik nagłówkowy interfejsu wtyczek ID Mapping cifs-utils
Group:		Development/Libraries
# doesn't require base

%description devel
Header file for cifs-utils ID Mapping Plugin interface.

%description devel -l pl.UTF-8
Plik nagłówkowy interfejsu wtyczek ID Mapping cifs-utils.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e '1s,/usr/bin/env python$,%{__python3},' \
	-e '1s,/usr/bin/env python3,%{__python3},' \
	smb2-quota \
	smb2-secdesc \
	checkopts \
	smbinfo

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--with-libcap-ng \
	--enable-cifsacl \
	--enable-cifsidmap \
	--enable-cifsupcall

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pamdir=/%{_lib}/security

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) /sbin/mount.cifs
%attr(755,root,root) /sbin/mount.smb3
%attr(755,root,root) %{_bindir}/cifscreds
%attr(755,root,root) %{_bindir}/getcifsacl
%attr(755,root,root) %{_bindir}/setcifsacl
%attr(755,root,root) %{_bindir}/smb2-quota
%attr(755,root,root) %{_bindir}/smbinfo
%attr(755,root,root) %{_sbindir}/cifs.upcall
%attr(755,root,root) %{_sbindir}/cifs.idmap
%attr(755,root,root) /%{_lib}/security/pam_cifscreds.so
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/idmapwb.so
%{_mandir}/man1/cifscreds.1*
%{_mandir}/man1/getcifsacl.1*
%{_mandir}/man1/setcifsacl.1*
%{_mandir}/man1/smb2-quota.1*
%{_mandir}/man1/smbinfo.1*
%{_mandir}/man8/cifs.upcall.8*
%{_mandir}/man8/cifs.idmap.8*
%{_mandir}/man8/idmapwb.8*
%{_mandir}/man8/mount.cifs.8*
%{_mandir}/man8/mount.smb3.8*
%{_mandir}/man8/pam_cifscreds.8*

%files devel
%defattr(644,root,root,755)
%{_includedir}/cifsidmap.h
%changelog
* Sun Jan 07 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/cifs-utils.git;a=log;h=master

* Sat Sep 09 2023 Jan Rękorajski <baggins@pld-linux.org> 3ee423d
- swith all scripts to python 3, rel 2

* Tue Jul 25 2023 Jakub Bogusz <qboosh@pld-linux.org> e305a3d
- updated to 7.0

* Fri Apr 29 2022 Jan Palus <atler@pld-linux.org> 49ee211
- up to 6.15 (fixes CVE-2022-27239 CVE-2022-29869)

* Sun Dec 05 2021 Jan Palus <atler@pld-linux.org> 1d2c22d
- up to 6.14 (fixes CVE-2021-20208)

* Sun Dec 05 2021 Jan Palus <atler@pld-linux.org> 30492ae
- BR: docutils

* Sun Feb 21 2021 Jan Rękorajski <baggins@pld-linux.org> c5e4af8
- up to 6.12, fixes CVE-2020-14342, fixes libcap-ng interoperability issues

* Tue Jan 28 2020 Jakub Bogusz <qboosh@pld-linux.org> e6edaa1
- BR: ac,am; use simpler, custom sed calls

* Mon Jan 27 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> fe3d503
- up to 6.10

* Thu Oct 03 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 683155a
- up to 6.9

* Tue May 22 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 07ba175
- up to 6.8

* Tue Sep 05 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> bb38649
- up to 6.7

* Thu Nov 24 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 73db5ab
- up to 6.6

* Sun Jun 19 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 31590df
- up to 6.5

* Sun Jul 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 046ac3f
- up to 6.4

* Sat Mar 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 0d8bfa6
- updated to 6.3
- adjusted for libsmbclient from samba4 packaging

* Wed Mar 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 204d3e1
- up to 6.0

* Sun Jan 20 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b4a66f
- up to 5.9

* Sat Jan 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fe3a8d8
- up to 5.8

* Sun Jun 24 2012 Jakub Bogusz <qboosh@pld-linux.org> f145a48
- added docs

* Sun Jun 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 79bd9cf
- updated to 5.5
- added heimdal patch (fixes some -Werror issues with heimdal kerberos)
- added configure hacks for samba not providing pkgconfig file for libwbclient
- pl

